# OpenLayers.Filter.FeatureId

This class represents a ogc:FeatureId Filter, as being used for rule-based SLD styling

#### Inherits from

- OpenLayers.Filter

Summary

OpenLayers.Filter.FeatureId | This class represents a ogc:FeatureId Filter, as being used for rule-based SLD styling
Properties |
fids | {Array(String)} Feature Ids to evaluate this rule against.
Constructor |
OpenLayers.Filter.FeatureId | Creates an ogc:FeatureId rule.
Functions |
evaluate | evaluates this rule for a specific feature
clone | Clones this filter.

### Properties

### fids

{Array(String)} Feature Ids to evaluate this rule against. To be passed inside the params object.

### Constructor

### OpenLayers.Filter.FeatureId

Creates an ogc:FeatureId rule.

#### Parameters

options | {Object} An optional object with properties to set on the rule

#### Returns

{OpenLayers.Filter.FeatureId}

### Functions

### evaluate

> evaluate: function( | feature | )

evaluates this rule for a specific feature

#### Parameters

feature | {OpenLayers.Feature} feature to apply the rule to. For vector features, the check is run against the fid, for plain features against the id.

#### Returns

{Boolean} true if the rule applies, false if it does not

### clone

> clone: function()

Clones this filter.

#### Returns

{OpenLayers.Filter.FeatureId} Clone of this filter.

> evaluate: function( | feature | )

evaluates this rule for a specific feature

> clone: function()

Clones this filter.
This class represents an OGC Filter.
Creates an ogc:FeatureId rule.
Features are combinations of geography and attributes.
Close